View Issue Details

IDProjectCategoryView StatusLast Update
0013376MediaMonkey for AndroidPlaybackpublic2017-01-31 15:37
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.0 
Target Version1.3.0Fixed in Version1.3.0 
Summary0013376: On disconnect, playback should resume from last position instead of beginning of track
DescriptionCurrently, for non-bookmarked tracks, if playback is halted due to an action other than pressing the Stop button (e.g. bluetooth disconnection, car stops, headphones disconnected), then MMA treats the action as if the user pressed the 'Stop' button and the playback position on the track is locked.

Many users have complained about this. It seems that the more desirable behavior would be that when playback of the NP list resumes, it should be from the last played position within the track of the last partially played track in the NP list (rather than from the beginning of the last partially played track in the NP list). NOTE: this is only in cases where the user hasn't explicitly pressed STOP--in such cases playback should resume from the beginning of the last played track.

Another option (which I don't think is needed, but might be desirable to some) is to make this configurable. e.g.

Resume playing from: last played track position
Set the position from which the Now playing list should resume

(o) last played track position
( ) beginning of last played track
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=21&t=85223
http://www.mediamonkey.com/forum/viewtopic.php?f=21&t=84335
http://www.mediamonkey.com/forum/viewtopic.php?f=21&t=81509

TagsNo tags attached.
Fixed in build650

Relationships

related to 0013966 resolvedmartin Playback for bluetooth devices without a play button 

Activities

martin

2016-07-23 14:04

developer   ~0045196

Position of current track is now saved on STOP action also for non-bookmarkable tracks. Position is saved until track is changed and only when stop action is not executed via STOP action in Playback Notification. In this case position is saved only for bookmarkable tracks.

Fixed in build 1.2.1.650

peke

2016-12-21 09:33

developer   ~0046670

Verified 657 LG head unit and Honda CR-V 2015